> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Post token image



## OpenAPI

````yaml post /token/{id}/image
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{id}/image:
    post:
      tags:
        - Tokens
      operationId: TokenController_updateImage
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenEntity'
components:
  schemas:
    TokenEntity:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        image:
          type: string
        creator:
          type: string
        created_time:
          type: string
        volume:
          type: number
        bonded:
          type: boolean
        icrc_ledger:
          type: string
        price:
          type: number
        marketcap:
          type: number
        rune:
          type: string
        featured:
          type: boolean
        holder_count:
          type: number
        comment_count:
          type: number
        sold:
          type: number
        twitter:
          type: string
        website:
          type: string
        telegram:
          type: string
        last_comment_time:
          type: string
        rel_ledgers:
          type: array
          items:
            $ref: '#/components/schemas/LedgerEntity'
        buy_count:
          type: number
        sell_count:
          type: number
        ticker:
          type: string
        btc_liquidity:
          format: int64
          type: integer
        user_btc_liquidity:
          format: int64
          type: integer
        user_token_liquidity:
          type: number
          format: decimal
        user_lp_tokens:
          type: number
          format: decimal
        token_liquidity:
          type: number
          format: decimal
        total_supply:
          type: number
          format: decimal
        swap_fees:
          format: int64
          type: integer
        swap_volume:
          format: int64
          type: integer
        swap_fees_24:
          format: int64
          type: integer
        threshold:
          type: number
          format: decimal
        swap_volume_24:
          format: int64
          type: integer
        holder_dev:
          type: number
          format: decimal
        holder_top:
          type: number
          format: decimal
        txn_count:
          format: int64
          type: integer
        decimals:
          type: number
        deposits:
          type: boolean
        divisibility:
          type: number
        external:
          type: boolean
        trading:
          type: boolean
        withdrawals:
          type: boolean
        last_action_time:
          format: date-time
          type: string
        price_5m:
          format: int64
          type: integer
        price_1h:
          format: int64
          type: integer
        price_6h:
          format: int64
          type: integer
        price_1d:
          format: int64
          type: integer
        rune_id:
          type: string
        twitter_verified:
          type: boolean
        rel_tags:
          type: array
          items:
            $ref: '#/components/schemas/TagEntity'
        tags:
          $ref: '#/components/schemas/Function'
        verified:
          type: boolean
        liquidity_threshold:
          format: int64
          type: integer
        progress:
          type: number
      required:
        - id
        - name
        - created_time
        - volume
        - bonded
        - price
        - marketcap
        - featured
        - holder_count
        - comment_count
        - sold
        - rel_ledgers
        - buy_count
        - sell_count
        - ticker
        - btc_liquidity
        - user_btc_liquidity
        - user_token_liquidity
        - user_lp_tokens
        - token_liquidity
        - total_supply
        - swap_fees
        - swap_volume
        - swap_fees_24
        - threshold
        - swap_volume_24
        - holder_dev
        - holder_top
        - txn_count
        - decimals
        - deposits
        - divisibility
        - external
        - trading
        - withdrawals
        - last_action_time
        - price_5m
        - price_1h
        - price_6h
        - price_1d
        - rune_id
        - twitter_verified
        - rel_tags
        - tags
        - verified
        - liquidity_threshold
        - progress
    LedgerEntity:
      type: object
      properties:
        user:
          type: string
        token:
          type: string
        balance:
          type: number
          format: decimal
        user_username:
          type: string
        user_image:
          type: string
        tokenid:
          type: string
      required:
        - user
        - token
        - balance
        - user_username
        - user_image
        - tokenid
    TagEntity:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        description:
          type: string
        created_time:
          type: string
      required:
        - id
        - name
        - created_time
    Function:
      type: object
      properties: {}

````